commit:     e69fcbe7b68cdc48c7e6656ef13b5f8fe4e9709c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  7 04:29:01 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug  7 04:29:01 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e69fcbe7

dev-python/boto3: Bump to 1.34.155

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/boto3/Manifest              |  1 +
 dev-python/boto3/boto3-1.34.155.ebuild | 53 ++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 74f42f839b23..d246b9b2970a 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -2,3 +2,4 @@ DIST boto3-1.34.145.gh.tar.gz 841776 BLAKE2B 
e93a6c4d634c2df22ed27e58c2abe0a6cc8
 DIST boto3-1.34.149.gh.tar.gz 845064 BLAKE2B 
25e77483b8ac8a52e7f5586794839dcab694cf8db3cc27112db25fc77b55845cb84dd2750a45dd5097b49e62e62403077fd741d7f1610fc7f735d8344e6fd23c
 SHA512 
21a942ca15023b3e2732678ee79d1b8c7b027e89958b5761a8d543b91c434d06d7c84e137177e1fde52440c801f62dfa4caed309ec92400f6516720bbcc11690
 DIST boto3-1.34.153.gh.tar.gz 847038 BLAKE2B 
f29aec887fd57d2bc4b6be125787384438e0dba65dd01effcc91016b9301be2fdde315a2fbdc8f122350ae52f904ba1c281aee9a5dc52994ddd11b45ead3f8a3
 SHA512 
a8d8f75ef48ad8418aafddbdea4fb021f64b041e7beabf68a0c2f6c461c3aa0b3f2f20c33122ac87d57296fd0d14ee8834b96257085c522b556f6aa1d99ea0d1
 DIST boto3-1.34.154.gh.tar.gz 847586 BLAKE2B 
6ae763f1e112f865f8711951ac52f4ff28976928470ac3d8c468278e0abde23750457b8f92a9346b1468f94da4282b5b71eba09f7b442fd448ab8c1501e79914
 SHA512 
22eb130dbeaf9dfc87d2e01dddd00d3bd10a2fa91c8c7994add2ad3d739769dbd56717d9d034a0edb8e02ad15b8b956a31737269b303a3ec3508d8cfc00482ed
+DIST boto3-1.34.155.gh.tar.gz 847949 BLAKE2B 
922377411d5535ff98b81f96cdb15dfd98de23bda40acabb172c889b221936083ad91403f59926fb29ca480f6d0056fb0441371dcfbd2b94d05158c34503bb8c
 SHA512 
c8d7764c10a81fa8fb32eecdd242a36032db451bf4afe1bbc1974de422e0dc387d18e9ef78dcbdb41b19a05db4da8d66131d246b074463a33ae072a61141c362

diff --git a/dev-python/boto3/boto3-1.34.155.ebuild 
b/dev-python/boto3/boto3-1.34.155.ebuild
new file mode 100644
index 000000000000..8cba6d95740e
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.155.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+       https://github.com/boto/boto3/
+       https://pypi.org/project/boto3/
+"
+SRC_URI="
+       https://github.com/boto/boto3/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux 
~x86-linux"
+
+RDEPEND="
+       >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+       >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+       >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # don't lock versions to narrow ranges
+       sed -e '/botocore/ d' \
+               -e '/jmespath/ d' \
+               -e '/s3transfer/ d' \
+               -i setup.py || die
+
+       # do not rely on bundled deps in botocore (sic!)
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest tests/{functional,unit}
+}

Reply via email to